<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__avrc__conn__cb__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_avrc_conn_cb_t</compoundname>
    <includes local="no">wiced_bt_avrc.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__avrc__conn__cb__t_1aed951a16aa3c95a11c19259ef6eef5e7" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__wicedbt__avrc_1ga7011e88a728bc58122eeb2cdb917290a">wiced_bt_avrc_ctrl_cback_t</ref> *</type>
        <definition>wiced_bt_avrc_ctrl_cback_t* wiced_bt_avrc_conn_cb_t::p_ctrl_cback</definition>
        <argsstring />
        <name>p_ctrl_cback</name>
        <briefdescription>
<para>AVRC connection control callback. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc.h" bodystart="186" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc.h" line="186" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__conn__cb__t_1a996ff4b97416b306cdf8309821f63e01" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__wicedbt__avrc_1gafffa9aab77176e67b2a697ff1bc1baba">wiced_bt_avrc_msg_cback_t</ref> *</type>
        <definition>wiced_bt_avrc_msg_cback_t* wiced_bt_avrc_conn_cb_t::p_msg_cback</definition>
        <argsstring />
        <name>p_msg_cback</name>
        <briefdescription>
<para>AVRC message callback. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc.h" bodystart="187" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc.h" line="187" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__conn__cb__t_1a849f2cb72747c2223970624deb703168" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__wicedbt__avrc_1ga3f31b9947d60da1528813f59afb4762c">wiced_bt_avrc_xmitted_cback_t</ref> *</type>
        <definition>wiced_bt_avrc_xmitted_cback_t* wiced_bt_avrc_conn_cb_t::p_xmitted_cback</definition>
        <argsstring />
        <name>p_xmitted_cback</name>
        <briefdescription>
<para>pointer to application transmit complete callback </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc.h" bodystart="188" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc.h" line="188" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__conn__cb__t_1a7391f429effae1aa3c94d912e7e879b9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t wiced_bt_avrc_conn_cb_t::company_id</definition>
        <argsstring />
        <name>company_id</name>
        <briefdescription>
<para>Company ID (see <ref kindref="member" refid="group__wicedbt__avrc_1AVRC_COMPANY_ID">Company IDs</ref>) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc.h" bodystart="189" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc.h" line="189" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__conn__cb__t_1ac7c94f23894a317a5f85003c8dd7665a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avrc_conn_cb_t::connection_role</definition>
        <argsstring />
        <name>connection_role</name>
        <briefdescription>
<para>Connection role: AVRC_CONN_INT (initiator) or AVRC_CONN_ACP (acceptor) (see <ref kindref="member" refid="group__wicedbt__avrc_1AVRC_CONN_ROLE">AVRC connection roles</ref>) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc.h" bodystart="190" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc.h" line="190" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__conn__cb__t_1a653395d33ec88ad1c5a3573746ea139d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avrc_conn_cb_t::control</definition>
        <argsstring />
        <name>control</name>
        <briefdescription>
<para>Control role: AVRC_CT_TARGET (target) or AVRC_CT_CONTROL (controller) (see <ref kindref="member" refid="group__wicedbt__avrc_1AVRC_CT_ROLE">AVRC control roles</ref>) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc.h" bodystart="191" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc.h" line="191" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__conn__cb__t_1a2a2db7e712dcca85954acc6073996dd6" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_avrc_conn_cb_t::avrc_seg_buf_len</definition>
        <argsstring />
        <name>avrc_seg_buf_len</name>
        <briefdescription>
<para>Maximum length of assembled AVRC data. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc.h" bodystart="192" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc.h" line="192" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__conn__cb__t_1a8e37c743ae6384580620dc1a4ad1a145" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* wiced_bt_avrc_conn_cb_t::p_avrc_buff</definition>
        <argsstring />
        <name>p_avrc_buff</name>
        <briefdescription>
<para>Pointer to AVRC assembly buffer. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc.h" bodystart="193" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc.h" line="193" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__conn__cb__t_1a467459a192ab1c5070780d068d7c2b3e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_avrc_conn_cb_t::avct_seg_buf_len</definition>
        <argsstring />
        <name>avct_seg_buf_len</name>
        <briefdescription>
<para>Maximum length of AVCT assembled data. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc.h" bodystart="194" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc.h" line="194" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__conn__cb__t_1aa603052444815f6a912658e9fe4dd4ff" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* wiced_bt_avrc_conn_cb_t::p_avct_buff</definition>
        <argsstring />
        <name>p_avct_buff</name>
        <briefdescription>
<para>Pointer to AVCT assembly buffer. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc.h" bodystart="195" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc.h" line="195" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>AVRC connection control block; used when calling <ref kindref="member" refid="group__wicedbt__avrc_1gade6b9f60a9d2a4bb6e3df798ba4fefbe">wiced_bt_avrc_open()</ref> to configure the AVRC connection and register for callbacks. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="196" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc.h" bodystart="184" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc.h" line="185" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__avrc__conn__cb__t_1a467459a192ab1c5070780d068d7c2b3e" virt="non-virtual"><scope>wiced_bt_avrc_conn_cb_t</scope><name>avct_seg_buf_len</name></member>
      <member prot="public" refid="structwiced__bt__avrc__conn__cb__t_1a2a2db7e712dcca85954acc6073996dd6" virt="non-virtual"><scope>wiced_bt_avrc_conn_cb_t</scope><name>avrc_seg_buf_len</name></member>
      <member prot="public" refid="structwiced__bt__avrc__conn__cb__t_1a7391f429effae1aa3c94d912e7e879b9" virt="non-virtual"><scope>wiced_bt_avrc_conn_cb_t</scope><name>company_id</name></member>
      <member prot="public" refid="structwiced__bt__avrc__conn__cb__t_1ac7c94f23894a317a5f85003c8dd7665a" virt="non-virtual"><scope>wiced_bt_avrc_conn_cb_t</scope><name>connection_role</name></member>
      <member prot="public" refid="structwiced__bt__avrc__conn__cb__t_1a653395d33ec88ad1c5a3573746ea139d" virt="non-virtual"><scope>wiced_bt_avrc_conn_cb_t</scope><name>control</name></member>
      <member prot="public" refid="structwiced__bt__avrc__conn__cb__t_1aa603052444815f6a912658e9fe4dd4ff" virt="non-virtual"><scope>wiced_bt_avrc_conn_cb_t</scope><name>p_avct_buff</name></member>
      <member prot="public" refid="structwiced__bt__avrc__conn__cb__t_1a8e37c743ae6384580620dc1a4ad1a145" virt="non-virtual"><scope>wiced_bt_avrc_conn_cb_t</scope><name>p_avrc_buff</name></member>
      <member prot="public" refid="structwiced__bt__avrc__conn__cb__t_1aed951a16aa3c95a11c19259ef6eef5e7" virt="non-virtual"><scope>wiced_bt_avrc_conn_cb_t</scope><name>p_ctrl_cback</name></member>
      <member prot="public" refid="structwiced__bt__avrc__conn__cb__t_1a996ff4b97416b306cdf8309821f63e01" virt="non-virtual"><scope>wiced_bt_avrc_conn_cb_t</scope><name>p_msg_cback</name></member>
      <member prot="public" refid="structwiced__bt__avrc__conn__cb__t_1a849f2cb72747c2223970624deb703168" virt="non-virtual"><scope>wiced_bt_avrc_conn_cb_t</scope><name>p_xmitted_cback</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>